require 'capybara'
require 'nokogiri'
require 'open-uri'
require 'httparty'
require 'capybara-webkit'
require 'qunar/version'
require 'qunar/hotel'
require 'qunar/rank'
require 'qunar/hotel_list'

module Qunar
 # City list 
 def self.city
    pages = Nokogiri::HTML(open(URI('http://hotel.qunar.com/sitemap/')))
    @city_list = []
    pages.xpath("//li/a").each do |li|
      item = {:city_Cn=>li.text, :city_En=>li['href'][/\w+/]}
      @city_list << item
    end
    @city_list
  end

end
